<?php

class ControllerModuleprecodinamico extends Controller {

    private $error = array();

    public function index() {
        $this->load->language('module/preco_dinamico');

        $this->document->setTitle($this->language->get('heading_title'));

        $this->load->model('setting/setting');

        if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
            $this->model_setting_setting->editSetting('preco_dinamico', $this->request->post);
			
            
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
        }

        $this->data['token'] = $this->session->data['token'];
        $this->data['cancel'] = $this->url->link('index', 'token=' . $this->session->data['token'], 'SSL');

        // declaração das variaveis, pegando o nome expresso na linguagem
        $this->data['button_save']      	 		   = $this->language->get('button_save');
        $this->data['button_cancel']  		 		   = $this->language->get('button_cancel');
        $this->data['heading_title']  		 		   = $this->language->get('heading_title');
        $this->data['text_preco']            		   = $this->language->get('text_preco');
		$this->data['text_preco_demais']     		   = $this->language->get('text_preco_demais');
		
		$this->data['text_preco_status']     		   = $this->language->get('text_preco_status');
		$this->data['text_preco_status_habilitado']    = $this->language->get('text_preco_status_habilitado');
		$this->data['text_preco_status_desabilitado']  = $this->language->get('text_preco_status_desabilitado');
		
		
	


        
        //ate aqui
        
        if (isset($this->error['warning'])) {
            $this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
        }
        
        if (isset($this->session->data['success'])) {
    	    $this->data['success'] = $this->session->data['success'];
            unset($this->session->data['success']);
	    } else {
	        $this->data['success'] = '';
	    }
        
		
		
		if (isset($this->request->post['futura_preco_dinamico_produto'])) {
                $this->data['futura_preco_dinamico_produto']= $this->request->post['futura_preco_dinamico_produto'];
        }elseif($this->config->get('futura_preco_dinamico_produto')) {
		        $this->data['futura_preco_dinamico_produto']= $this->config->get('futura_preco_dinamico_produto');
		}else{
		
				
				
		$this->data['futura_preco_dinamico_produto']= 'echo html_entity_decode(nl2br(\'<span style="font-size:18px">Por: </span><span style="font-weight:300; color:#ed1d24"> R$ \')) 
        .number_format($pr , 2,\',\',\'.\').html_entity_decode(nl2br(\'</span>\'));';

		}
		
		
		
		if (isset($this->request->post['futura_preco_dinamico_exibicoes'])) {
                $this->data['futura_preco_dinamico_exibicoes']= $this->request->post['futura_preco_dinamico_exibicoes'];
        }elseif($this->config->get('futura_preco_dinamico_exibicoes')) {
		        $this->data['futura_preco_dinamico_exibicoes']= $this->config->get('futura_preco_dinamico_exibicoes');
		}else{
		
				

		
		$this->data['futura_preco_dinamico_exibicoes']=    ' echo html_entity_decode(nl2br(\'<span style="color:#787878; font-size:11px;font-family: Arial, Helvetica, sans-serif; font-weight:400 ">Por</span> <span style="font-size:14px; color:#ed1d24; ;font-family: Tahoma, Helvetica, sans-serif; font-weight:510"> R$ \')) 
        .number_format( $product[\'price_pr\'], 2,\',\',\'.\').html_entity_decode(nl2br(\'</span>\'));';
	    
		}
		
		
		if (isset($this->request->post['futura_preco_dinamico_status'])) {
                $this->data['futura_preco_dinamico_status']= $this->request->post['futura_preco_dinamico_status'];
        }elseif($this->config->get('futura_preco_dinamico_status')) {
		        $this->data['futura_preco_dinamico_status']= $this->config->get('futura_preco_dinamico_status');
		}else{
		
		$this->data['futura_preco_dinamico_status']=$this->data['text_preco_status_desabilitado'] ;
		
		
		}
			
		
		
		
		
        $this->data['breadcrumbs'] = array();
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_home'),
            'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_preco'),
            'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('heading_title'),
            'href' => $this->url->link('module/preco_dinamico', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['action'] = $this->url->link('module/preco_dinamico', 'token=' . $this->session->data['token'], 'SSL');
        $this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');

        // chama a view
        $this->template = 'module/preco_dinamico.tpl';
        $this->children = array(
            'common/header',
            'common/footer',
        );

        $this->response->setOutput($this->render());
    }

    private function validate() {
        if (!$this->user->hasPermission('modify', 'module/preco_dinamico')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }

        if (!$this->error) {
            return true;
        } else {
            return false;
        }
    }


  }
?>



